Bug 1669984 - 'hardware_handler "1 alua" ' missing from multipath.conf file
Summary: 'hardware_handler "1 alua" ' missing from multipath.conf file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.11.z
Assignee: Jose A. Rivera
QA Contact: Rachael
URL:
Whiteboard:
Depends On:
Blocks: 1669500
TreeView+ depends on / blocked
 
Reported: 2019-01-28 09:56 UTC by Niels de Vos
Modified: 2019-02-20 14:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of: 1669500
Environment:
Last Closed: 2019-02-20 14:11:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0326 None None None 2019-02-20 14:11:14 UTC
Github openshift openshift-ansible pull 11081 None None None 2019-01-28 10:00:46 UTC

Internal Links: 1643231

Description Niels de Vos 2019-01-28 09:56:42 UTC
+++ This bug was initially created as a clone of Bug #1669500 +++

Description of problem:

The /etc/multipath.conf file that gets configured as part of OCS deployment is missing the following line:
  
  'hardware_handler "1 alua" ' 

# cat /etc/multipath.conf
# LIO iSCSI
# TODO: Add env variables for tweaking
devices {
        device {
                vendor "LIO-ORG"
                user_friendly_names "yes" 
                path_grouping_policy "failover"
                path_selector "round-robin 0"
                failback immediate
                path_checker "tur"
                prio "alua"
                no_path_retry 120
                rr_weight "uniform"
        }
}
defaults {
	user_friendly_names yes
	find_multipaths yes
}


Version-Release number of selected component (if applicable):

oc v3.11.69

heketi-client-8.0.0-8.el7rhgs.x86_64
heketi-8.0.0-8.el7rhgs.x86_64

glusterfs-api-3.12.2-32.el7rhgs.x86_64
glusterfs-cli-3.12.2-32.el7rhgs.x86_64
python2-gluster-3.12.2-32.el7rhgs.x86_64
glusterfs-fuse-3.12.2-32.el7rhgs.x86_64
glusterfs-geo-replication-3.12.2-32.el7rhgs.x86_64
glusterfs-libs-3.12.2-32.el7rhgs.x86_64
glusterfs-3.12.2-32.el7rhgs.x86_64
glusterfs-client-xlators-3.12.2-32.el7rhgs.x86_64
glusterfs-server-3.12.2-32.el7rhgs.x86_64
gluster-block-0.2.1-30.el7rhgs.x86_64

libtcmu-1.2.0-28.el7rhgs.x86_64
tcmu-runner-1.2.0-28.el7rhgs.x86_64

targetcli-2.1.fb46-7.el7.noarch


Actual results: 

'hardware_handler "1 alua" ' missing from multipath.conf file

Expected results:

The content of multipath.conf file

# cat /etc/multipath.conf
# LIO iSCSI
# TODO: Add env variables for tweaking
devices {
        device {
                vendor "LIO-ORG"
                user_friendly_names "yes" # names like mpatha
                path_grouping_policy "failover" # one path per group
                hardware_handler "1 alua"
                path_selector "round-robin 0"
                failback immediate
                path_checker "tur"
                prio "alua"
                no_path_retry 120
        }
}
defaults {
	user_friendly_names yes
	find_multipaths yes
}

Comment 1 Niels de Vos 2019-01-28 10:00:46 UTC
PR https://github.com/openshift/openshift-ansible/pull/11081 is available for review

Comment 3 krishnaram Karthick 2019-02-13 04:32:46 UTC
With the fllowing ansible version, hardware_handler "1 alua" is made available in the multipath.conf file. 

oc version
oc v3.11.82
kubernetes v1.11.0+d4cacc0
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://apu-v311z-ocs-v311-master-0:8443
openshift v3.11.82
kubernetes v1.11.0+d4cacc0


cat /etc/multipath.conf
# LIO iSCSI
# TODO: Add env variables for tweaking
devices {
        device {
                vendor "LIO-ORG"
                user_friendly_names "yes" 
                path_grouping_policy "failover"
                path_selector "round-robin 0"
                failback immediate
                path_checker "tur"
                prio "alua"
                hardware_handler "1 alua"
                no_path_retry 120
                rr_weight "uniform"
        }
}
defaults {
	user_friendly_names yes
	find_multipaths yes
}


blacklist {
}

Moving the bug to verified.

Comment 5 errata-xmlrpc 2019-02-20 14:11:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0326


Note You need to log in before you can comment on or make changes to this bug.